/*
	Microcontroller test module
	
	Brief:
		Success: BLINK_GOOD flashes at 1Hz on test board
		Failure:
			1) BLINK_GOOD is off => FPGA and potential MCU failure
			2) BLINK_GOOD is on and not flashing => MCU failure
			
	The microcontroller receives a ~1Hz signal from the FPGA, which it echoes back
*/

#include "SAM4S4B.h"

int main(void) {
	// sam4s internal setup
	samInit();
	pioInit();
	
	// setting up GPIO pins
	pioPinMode(PIO_PA12, PIO_INPUT);
	pioPinMode(PIO_PA13, PIO_OUTPUT);
	
	// echoing clock
	while (1) { 
		volatile int inputPinState = pioDigitalRead(PIO_PA12);
		if (inputPinState == PIO_HIGH) {
			pioDigitalWrite(PIO_PA13, PIO_LOW);
		}
		else {
			pioDigitalWrite(PIO_PA13, PIO_HIGH);
		}
	}		
}